/* Core styles/functionality */
.accordion input {
  position: absolute;
  opacity: 0;
  z-index: -1;
}

.tab__content {
  max-height: 0;
  overflow: hidden;
  transition: all 0.35s;
}

.accordion input:checked~.tab__content {
  max-height: 100vh;
}

/* Visual styles */
.accordion {
  overflow: hidden;
}

.tab__label {
  display: flex;
  color: black;
  background: initial;
  cursor: pointer;
}

.tab__label {
  justify-content: space-between;
  padding: 1rem;
}

.tab__label::after {
  content: "\276F";
  width: 1em;
  height: 1em;
  text-align: center;
  transform: rotate(90deg);
  transition: all 0.35s;
}

.accordion input:checked+.tab__label::after {
  transform: rotate(270deg);
}

/* Arrow animation */
.accordion input:not(:checked)+.tab__label:hover::after {
  animation: bounce .5s infinite;
}

@keyframes bounce {
  25% {
    transform: rotate(90deg) translate(.25rem);
  }

  75% {
    transform: rotate(90deg) translate(-.25rem);
  }
}